Name:           python-narwhals
Version:        1.48.0
Release:        %autorelease
Summary:        Extremely lightweight compatibility layer between dataframe libraries
License:        MIT
URL:            https://github.com/narwhals-dev/narwhals
Source:         %{pypi_source narwhals}

BuildArch:      noarch
BuildRequires:  python3-devel

%global _description %{expand:
Extremely lightweight and extensible compatibility layer between dataframe libraries!}

%description %_description

%package -n     python3-narwhals
Summary:        %{summary}

%description -n python3-narwhals %_description

# dask is available in Feodra as well, but currently not
# yet rebuilt for Python 3.14 so it FTI.
%pyproject_extras_subpkg -n python3-narwhals pandas,pyarrow


%prep
%autosetup -p1 -n narwhals-%{version}
sed -i "/pytest-cov/d" pyproject.toml
sed -i "/covdefaults/d" pyproject.toml


%generate_buildrequires
%pyproject_buildrequires -x pandas,pyarrow -g tests


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -l narwhals


%check
%pyproject_check_import
# Currently 2952 fail because the testsuite
# expects all backends to be installed.
# https://github.com/narwhals-dev/narwhals/issues/2872
#%%pytest


%files -n python3-narwhals -f %{pyproject_files}


%changelog
%autochangelog